unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, math, inifiles;

type
  TForm1 = class(TForm)
    StatusBar1: TStatusBar;
	procedure FormCreate(Sender: TObject);
  private
	{ Private 錾 }
  public
	{ Public 錾 }
  end;

var
  Form1: TForm1;
  shiftjis : boolean;

  outfile, infile, editor : string;

implementation

uses
	conv;
{$R *.dfm}


procedure TForm1.FormCreate(Sender: TObject);
var
	temp, ps : string;
	MyIniFile: TIniFile;
	datetime : TDatetime;
	myFilter : TKanjiFilter;
begin
	if paramcount = 1 then begin
		infile := paramstr(1);
		shiftjis := true;
	end
	else if paramcount = 2 then begin
		if paramstr(1)[1] = '-' then begin
			infile := paramstr(2);
			ps := paramstr(1)
		end
		else begin
			infile := paramstr(1);
			ps := paramstr(2);
		end;
		if ( ps = '-u' ) or ( ps ='-U' ) then
			shiftJIS := false
		else if ( ps = '-s' ) or ( ps = '-S' ) then
			shiftJIS := true
		else
			shiftJIS := true;
	end;

	MyIniFile := TIniFile.Create('osumosan.ini');
	editor := myIniFile.readString('Editor', 'Program', 'notepad.exe' );
	MyIniFile.Free;


	temp := GetEnvironmentVariable( 'temp' );
	datetime := now();
	datetimetostring( outfile, 'yyyymmddhhmmsszzz', datetime );
	outfile := temp + '\' + 'osumosan' + outfile + '.txt';

	myFilter := TKanjiFilter.create( editor, infile, outfile, shiftjis );
	myFilter.run;

	DeleteFile( outfile );
end;

end.
